#ifndef RASTRIGIN_H
#define RASTRIGIN_H

#include "configuration.h"
#include "problem.h"

class Rastrigin: public Problem {
	
     private:
	double* transformedX;
	double* displacementVector;	

      public:

	 Rastrigin(Configuration* config);
	 ~Rastrigin();	

	double getFunctionValue(const double* x);
	double rastriginFunction(double* x);	
};

#endif
