#ifndef SALOMON_H
#define SALOMON_H

#include "configuration.h"
#include "problem.h"

class Salomon: public Problem {
	
     private:
	double* transformedX;
	double* displacementVector;	

      public:

	 Salomon(Configuration* config);
	 ~Salomon();	

	double getFunctionValue(const double* x);
	double salomonFunction(double* x);	
};


#endif
