#ifndef SCHWEFEL_H
#define SCHWEFEL_H

#include "configuration.h"
#include "problem.h"

class Schwefel: public Problem {
	
     private:
	double* transformedX;
	double* displacementVector;	

      public:

	 Schwefel(Configuration* config);
	 ~Schwefel();	

	double getFunctionValue(const double* x);
	double schwefelFunction(double* x);	
};
#endif
