#ifndef SPHERE_H
#define SPHERE_H

#include "configuration.h"
#include "problem.h"

class Sphere: public Problem {
	
     private:
	double* transformedX;
	double* displacementVector;	

      public:

	 Sphere(Configuration* config);
	 ~Sphere();	

	double getFunctionValue(const double* x);
	double sphereFunction(double* x);	
};
#endif
