#ifndef STEP_H
#define STEP_H

#include "configuration.h"
#include "problem.h"

class Step: public Problem {
	
     private:
	double* transformedX;
	double* displacementVector;	

      public:

	 Step(Configuration* config);
	 ~Step();	

	double getFunctionValue(const double* x);
	double stepFunction(double* x);	
};

#endif
