#ifndef WEIERSTRASS_H
#define WEIERSTRASS_H

#include "configuration.h"
#include "problem.h"

class Weierstrass: public Problem {
	
     private:
	double* transformedX;
	double* displacementVector;	

      public:

	 Weierstrass(Configuration* config);
	 ~Weierstrass();	

	double getFunctionValue(const double* x);
	double weierstrassFunction(double* x);	
};

#endif
