#ifndef EXTSCHAFFER_H
#define EXTSCHAFFER_H

#include "configuration.h"
#include "problem.h"

class ExtendedSchaffer: public Problem {
	
     private:
	double* transformedX;
	double* displacementVector;	

      public:

	 ExtendedSchaffer(Configuration* config);
	 ~ExtendedSchaffer();	

	double getFunctionValue(const double* x);
	double schafferFunction(double x,double y);
	double extendedSchafferFunction(double* x);	
};


#endif
