#ifndef GRIEWANK_H
#define GRIEWANK_H

#include "configuration.h"
#include "problem.h"

class Griewank: public Problem {
	
     private:
	double* transformedX;
	double* displacementVector;	

      public:

	 Griewank(Configuration* config);
	 ~Griewank();	

	double getFunctionValue(const double* x);
	double griewankFunction(double* x);	
};

#endif
