#ifndef ROSENBROCK_H
#define ROSENBROCK_H

#include "configuration.h"
#include "problem.h"

class Rosenbrock: public Problem {
	
     private:
	double* transformedX;
	double* displacementVector;	

      public:

	 Rosenbrock(Configuration* config);
	 ~Rosenbrock();	

	double getFunctionValue(const double* x);
	double rosenbrockFunction(double* x);	
};


#endif
